OpenNMS API 1.2.9

## org.opennms.web.notification.bobject
Class Argument

    java.lang.Object
      org.opennms.web.notification.bobject.Argument

public class Argument
extends java.lang.Object

This is a data class to store the argument information for a Command

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private boolean` `m_streamed` A boolean indicating if this argument should be sent to the console command via an input stream.
`private java.lang.String` `m_substitution` The substitution switch that should be used when using this argument with the console command.
`private java.lang.String` `m_switch` The switch that the Notify class identifies with the value of this argument
`private java.lang.String` `m_value` The value of the argument

Constructor Summary
`Argument()` Default constructor, initializes the members

Method Summary
`java.lang.String` `getSubstitution()` Returns the substitution switch
`java.lang.String` `getSwitch()` Returns the switch
`java.lang.String` `getValue()` Returns the value of the argument
`boolean` `isStreamed()` Returns the boolean indicating if this argument should be sent to an input stream.
`void` `setStreamed(boolean aBool)` Sets the boolean indicating if this argument should be sent to an input stream
`void` `setSubstitution(java.lang.String aValue)` Sets the substitution switch
`void` `setSwitch(java.lang.String aValue)` Sets the switch member
`void` `setValue(java.lang.String aValue)` Sets the value of the argument
`java.lang.String` `toString()` Returns a string representation of the argument, for purposes of debugging

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_switch

    private java.lang.String m_switch

  The switch that the Notify class identifies with the value of this argument

### m_substitution

    private java.lang.String m_substitution

  The substitution switch that should be used when using this argument with the console command.

### m_value

    private java.lang.String m_value

  The value of the argument

### m_streamed

    private boolean m_streamed

  A boolean indicating if this argument should be sent to the console command via an input stream.

Constructor Detail

### Argument

    public Argument()

  Default constructor, initializes the members

Method Detail

### setSwitch

    public void setSwitch(java.lang.String aValue)

  Sets the switch member

  Parameters:
    `aValue` - the value of the switch

### setSubstitution

    public void setSubstitution(java.lang.String aValue)

  Sets the substitution switch

  Parameters:
    `aValue` - the value of the substitution

### setValue

    public void setValue(java.lang.String aValue)

  Sets the value of the argument

  Parameters:
    `aValue` - the value of the argument

### getSwitch

    public java.lang.String getSwitch()

  Returns the switch

  Returns:
    the switch string

### getSubstitution

    public java.lang.String getSubstitution()

  Returns the substitution switch

  Returns:
    the substitution

### getValue

    public java.lang.String getValue()

  Returns the value of the argument

  Returns:
    the value of the argument

### setStreamed

    public void setStreamed(boolean aBool)

  Sets the boolean indicating if this argument should be sent to an input stream

  Parameters:
    `aBool` - true if the argument should be sent to a input stream, false otherwise

### isStreamed

    public boolean isStreamed()

  Returns the boolean indicating if this argument should be sent to an input stream.

  Returns:
    true if the argument should be sent to a input stream, false otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the argument, for purposes of debugging

  Returns:
    a string representation

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.